<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [getHashUpgradeLevel](./bitburner.hacknet.gethashupgradelevel.md)

## Hacknet.getHashUpgradeLevel() method

Get the level of a hash upgrade.

**Signature:**

```typescript
getHashUpgradeLevel(upgName: HacknetServerHashUpgrade): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

upgName


</td><td>

[HacknetServerHashUpgrade](./bitburner.hacknetserverhashupgrade.md)


</td><td>


</td></tr>
</tbody></table>

**Returns:**

number

Level of the upgrade.

## Remarks

RAM cost: 0.5 GB

This function is only applicable for Hacknet Servers (the upgraded version of a Hacknet Node).

